Subject: Breaking up compound cmavo

From: [email-masked]
Date: Sun, 18 Mar 2001 18:03:08 -0000

I'm trying to figure out how to divide cmavo that have been stuck 
together. For example, consider co'omi'e. The approach I'd taken 
was to compare the word against a sorted cmavo list, increasing the 
size of the extracted token character by character until I found an 
exact match. The problem with this is that after extracting "co", 
I'd have found a match and then would try to make sense out 
of "'omi'e" -- without success. 

I'm assuming that there's a simple algorithm to parse these. Can 
someone point me to it?

Thanks.
Bob